Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetSchemasCommand

    java.lang.Object
      org.labkey.remoteapi.Command<GetSchemasResponse>
          org.labkey.remoteapi.query.GetSchemasCommand

    public class GetSchemasCommand

extends Command<GetSchemasResponse>

Command to obtain the list of schemas available in a given folder path.

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`GetSchemasCommand()`
`GetSchemasCommand(GetSchemasCommand source)`

Method Summary
`GetSchemasCommand` | `copy()` Returns a copy of this object.
`protected GetSchemasResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text and the HTTP status code.

Methods inherited from class org.labkey.remoteapi.Command
`createMethod, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSchemasCommand

    public GetSchemasCommand()

### GetSchemasCommand

    public GetSchemasCommand(GetSchemasCommand source)

Method Detail

### createResponse

    protected GetSchemasResponse createResponse(java.lang.String text,
                                                int status,
                                                java.lang.String contentType,
                                                org.json.simple.JSONObject json)

  Description copied from class: `Command`
  Creates an instance of the response class, initialized with the response text and the HTTP status code.

  Override this method to create an instance of a different class that extends CommandResponse

  Overrides:
    `createResponse` in class `Command<GetSchemasResponse>`
  Parameters:
    `text` - The response text from the server.
    `status` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if no JSON was returned).
  Returns:
    An instance of the response object.

### copy

    public GetSchemasCommand copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Overrides:
    `copy` in class `Command<GetSchemasResponse>`
  Returns:
    A copy of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD